From which OS/400 version did ILE C++ begin to be available?

From which OS/400 version did ILE C++ begin to be available?

Post by chxy » Mon, 14 Jul 2003 09:13:56



I know in ADT for V5R2 there is ILE C++ complier included. But how
about V5R1 and V4? I'd like to know if I complied an ILE C++ program
on V5R2, can it run on OS/400 V4R5?

and how many types of C++ compliers on OS/400?

Thanks!

 
 
 

From which OS/400 version did ILE C++ begin to be available?

Post by Dan Hick » Mon, 14 Jul 2003 21:08:02



> I know in ADT for V5R2 there is ILE C++ complier included. But how
> about V5R1 and V4? I'd like to know if I complied an ILE C++ program
> on V5R2, can it run on OS/400 V4R5?

> and how many types of C++ compliers on OS/400?

> Thanks!

In general, you can run a language compiled with compiler X on any
release that the compiler supports as a target release.  If you want
to run the program on a prior release, you need to specify that
prior release when you create the program.  (The program will, of
course, be upward compatible, so it will run on any later release as
well.)

--
Dan Hicks
Courage is resistance to fear, mastery of fear - not absence of
fear.  --Twain

 
 
 

From which OS/400 version did ILE C++ begin to be available?

Post by chxy » Tue, 15 Jul 2003 08:22:48


Thanks Dan. But the problem is, I don't know whether or not V4Rx is
the target release for ILE C++! Anybody knows?
 
 
 

From which OS/400 version did ILE C++ begin to be available?

Post by Dan Hick » Tue, 15 Jul 2003 07:58:35



> Thanks Dan. But the problem is, I don't know whether or not V4Rx is
> the target release for ILE C++! Anybody knows?

Try it and find out.  If the compiler accepts V4Rx as a target
release then it's OK.

--
Dan Hicks
If you consult enough experts, you can confirm any opinion.

 
 
 

From which OS/400 version did ILE C++ begin to be available?

Post by Bill Z Bub » Wed, 16 Jul 2003 01:30:04



> I know in ADT for V5R2 there is ILE C++ complier included. But how
> about V5R1 and V4? I'd like to know if I complied an ILE C++ program
> on V5R2, can it run on OS/400 V4R5?

For most commands, if you prompt (F4) the TgtRls parameter, the proper
values allowed will be listed.

Bill

 
 
 

From which OS/400 version did ILE C++ begin to be available?

Post by Bria » Wed, 16 Jul 2003 02:29:13


From CRTCPPMOD command:

                   Specify Value for Parameter TGTRLS

 Type choice, press Enter.

 Type . . . . . . . . . . . . . :   SIMPLE NAME
 Target release . . . . . . . . .   *CURRENT

 *CURRENT
 *PRV
 V4R4M0
 V4R5M0
 V5R1M0




> > I know in ADT for V5R2 there is ILE C++ complier included. But how
> > about V5R1 and V4? I'd like to know if I complied an ILE C++ program
> > on V5R2, can it run on OS/400 V4R5?

> For most commands, if you prompt (F4) the TgtRls parameter, the proper
> values allowed will be listed.

> Bill

 
 
 

From which OS/400 version did ILE C++ begin to be available?

Post by RT » Wed, 16 Jul 2003 13:51:39


You'll also need to make sure the LPP for C++ *PRV are installed.

RT


Quote:> I know in ADT for V5R2 there is ILE C++ complier included. But how
> about V5R1 and V4? I'd like to know if I complied an ILE C++ program
> on V5R2, can it run on OS/400 V4R5?

> and how many types of C++ compliers on OS/400?

> Thanks!